#! /bin/sh
# Generic prerm.in script for Haskell cabal libraries v11 by Ian Lynagh.
#
# SOURCE: @PACKAGE@.prerm.in

set -e

# summary of how this script can be called:
#        * <prerm> `remove'
#        * <old-prerm> `upgrade' <new-version>
#        * <new-prerm> `failed-upgrade' <old-version>
#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
#        * <deconfigured's-prerm> `deconfigure' `in-favour'
#          <package-being-installed> <version> `removing'
#          <conflicting-package> <version>
# for details, see /usr/doc/packaging-manual/

case "$1" in
    remove|upgrade|deconfigure)
        /usr/lib/@PACKAGE@/unregister.sh
    ;;
    failed-upgrade)
        UPSTREAM=$(echo $2 | cut -d'-' -f1)
	${GHC_PKG} unregister @PKG@-${UPSTREAM}
    ;;
    *)
        echo "prerm called with unknown argument \`$1'" >&2
        exit 0
    ;;
esac

# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.

#DEBHELPER#

exit 0

